resource "aws_s3_bucket" "asg_meta_bucket" {
  bucket        = "s3rius-asg-meta-bucket"
  acl           = "private"
  force_destroy = true
}

resource "aws_s3_bucket_object" "application_data" {
  bucket = aws_s3_bucket.asg_meta_bucket.bucket
  key    = var.ec2_application_s3_key
  source = var.ec2_application_bin
}