variable "s3_weather_bucket" {
  type = string
}

variable "s3_lambda_zip" {
  type = string
}

variable "s3_lambda_name" {
  type = string
}

variable "ec2_ssh_key_file" {
  type = string
}

variable "elb_port" {
  type    = number
  default = 8100
}

variable "ec2_port" {
  type    = number
  default = 80
}

variable "ec2_application_s3_key" {
  type = string
}

variable "ec2_cloudwatch_conf_key" {
  type    = string
  default = "ec2_log_config.conf"
}

variable "ec2_application_bin" {
  type = string
}

variable "aws_region" {
  type = string
}

variable "lambda_timeout" {
  type    = number
  default = 10
}

variable "lambda_memory_size" {
  type    = number
  default = 128
}