provider "aws" {
  version = "~> 2.0"
  region  = var.region
  profile = "main_profile"
}

module "services" {
  source                 = "./aws_services"
  s3_weather_bucket      = var.s3_weather_bucket
  s3_lambda_zip          = var.s3_lambda_function
  s3_lambda_name         = "s3rius_s3_lambda"
  ec2_ssh_key_file       = var.ec2_ssh_key_file
  aws_region             = var.region
  ec2_application_bin    = var.ec2_sqs_listener
  ec2_application_s3_key = var.ec2_sqs_listener
}