resource "aws_cloudwatch_log_group" "kinesis_log_group" {
  name              = "kinesis-loggroup"
  retention_in_days = 1
}

resource "aws_cloudwatch_log_group" "fire_lamda_logs" {
  name              = "/aws/lambda/${aws_lambda_function.firehorse_lambda.function_name}"
  retention_in_days = 1
}

resource "aws_cloudwatch_log_group" "sns_lamda_logs" {
  name              = "/aws/lambda/${aws_lambda_function.sns_lambda.function_name}"
  retention_in_days = 1
}

resource "aws_cloudwatch_log_stream" "kinesis_stream" {
  log_group_name = aws_cloudwatch_log_group.kinesis_log_group.name
  name           = "kinesis/weather-stream"
}
