#!/bin/bash
LOG_FILE="/var/log/sqs_listener_logs.log"

function main() {
    aws s3 cp "s3://${meta_bucket}/${application_key}" "application.zip"
    export SQS_QUEUE_ID="${sqs_queue_id}"
    export AWS_REGION="${aws_region}"
    export S3_BUCKET="${s3_bucket}"
    export SNS_TOPIC="${sns_topic}"
    export LOG_LEVEL="INFO"
    export LOG_FILE="$LOG_FILE"
    unzip application.zip
    chmod 777 ./bootstrap
    ./bootstrap
}

exec > >(tee "$LOG_FILE" | logger -t user-data -s 2>/dev/console) 2>&1
    echo "################# INSTANCE STARTUP #################"
    main